# $Revision: 1.28 $, $Date: 2011/09/01 17:03:42 $
#
# TODO:
#   - review devel doc files
#
Summary:	CONE - Console Newsreader and Emailer
Summary(pl.UTF-8):	CONE - tekstowy klient poczty i czytnik newsów
Name:		cone
Version:	0.89
Release:	2
License:	GPL
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/courier/%{name}-%{version}.tar.bz2
# Source0-md5:	7ee8b8c0fe89d96bca3e93a2b82adfb9
Patch0:		%{name}-maildir.patch
URL:		http://www.courier-mta.org/cone/
BuildRequires:	aspell-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	openssl-tools-perl
BuildRequires:	perl-base
BuildRequires:	sysconftool
BuildRequires:	zlib-devel
Requires:	ca-certificates
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CONE is a simple, text-based E-mail reader and writer, and a simple
newsreader.

%description -l pl.UTF-8
CONE jest prostym, tekstowym klientem pocztowym, a także prostym
czytnikiem newsów.

%package devel
Summary:	Header files for LibMAIL
Summary(pl.UTF-8):	Pliki nagłówkowe LibMAIL
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description devel
This package includes the header files for developing applications
using LibMAIL - a high level, C++ OO library for mail clients.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji z
użyciem LibMAIL - wysokopoziomowej, zorientowanej obiektowo
biblioteki C++ dla klientów pocztowych.

%package static
Summary:	Static LibMAIL library
Summary(pl.UTF-8):	Biblioteka statyczna LibMAIL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static library for developing application using
LibMAIL - a high level, C++ OO library for mail clients.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną bibliotekę do tworzenia aplikacji z
użyciem LibMAIL - wysokopoziomowej, zorientowanej obiektowo
biblioteki C++ dla klientów pocztowych.

%package -n leaf
Summary:	Console text file editor
Summary(pl.UTF-8):	Konsolowy edytor plików tekstowych
Group:		Applications/Editors

%description -n leaf
Leaf is a simple console text file editor, with paragraph
word-wrapping and spell checking. Leaf is based on the text editor in
the Cone mail reader and composer.

%description -n leaf -l pl.UTF-8
Leaf jest prostym konsolowym edytorem plików tekstowych. Jest oparty
na edytorze używanym w czytniku poczty Cone.

%prep
%setup -q
%patch0 -p1

%build
#%{__libtoolize}
#%{__aclocal}
#%{__autoconf}
#%{__automake}

#cd cone
#%{__aclocal}
#%{__autoconf}
#%{__automake}

#cd ../libmail
#%{__aclocal}
#%{__autoconf}
#%{__automake}

#cd ../maildir
#%{__aclocal}
#%{__autoconf}
#%{__automake}
#cd ..


CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses"
LDFLAGS="%{rpmldflags} -ltinfow"
PATH=$PATH:%{_prefix}/%{_lib}/openssl; export PATH
%configure \
	--with-devel \
	--with-certdb=%{_sysconfdir}/certs/ca-certificates.crt \
	SENDMAIL=%{_sbindir}/sendmail

%{__make}

#%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# start cone directly
#mv -f $RPM_BUILD_ROOT%{_libdir}/cone $RPM_BUILD_ROOT%{_bindir}
cp cone.sh $RPM_BUILD_ROOT%{_bindir}/cone
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/cone.dist $RPM_BUILD_ROOT%{_sysconfdir}/cone

# move devel docs from datadir
mkdir devel
for file in account-* address.html e*.html folder-* \
header* libmail*.html mail-* mimestruct* misc* native* synchronous.html; do
mv -f $RPM_BUILD_ROOT%{_datadir}/cone/$file devel
done

# leaf doc
mv -f $RPM_BUILD_ROOT%{_datadir}/cone/leaf.html .

# rest *.html will go to primary docs
mkdir docs
mv -f $RPM_BUILD_ROOT%{_datadir}/cone/*.html docs
mv -f $RPM_BUILD_ROOT%{_datadir}/cone/manpage.css docs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS docs/
%config(noreplace)  %verify(not md5 mtime size) %{_sysconfdir}/cone
%attr(755,root,root) %{_bindir}/cone
%attr(755,root,root) %{_bindir}/mailtool
%attr(755,root,root) %{_libdir}/cone
%{_datadir}/cone
%{_mandir}/man1/cone*
%{_mandir}/man1/mailtool*

%files devel
%defattr(644,root,root,755)
%doc devel/*
%{_libdir}/libmail.la
%{_includedir}/libmail
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmail.a

%files -n leaf
%defattr(644,root,root,755)
%doc leaf.html
%attr(755,root,root) %{_bindir}/leaf
%{_mandir}/man1/leaf*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cone.spec,v $
Revision 1.28  2011/09/01 17:03:42  arekm
- release 2

Revision 1.27  2011/08/31 16:53:44  luzik
- adapterized
- added Req ca-certificates

Revision 1.26  2011/08/31 12:29:07  luzik
- updated to 0.89
- now it builds again
- ugly -ltinfow hack
- cone.sh needed to set cone env
- fixed root certs

Revision 1.25  2011/04/11 08:49:55  uzsolt
- 0.86
- rel 0.1 (does not build)

Revision 1.24  2008/01/19 21:58:55  hawk
- now it builds
- added TODO

Revision 1.23  2008-01-19 19:15:28  hawk
- updated to 0.74

Revision 1.22  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.20  2006/11/06 13:04:55  prism
- updated to 0.68, linking patch not needed anymore

Revision 1.19  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.18  2005/07/09 10:36:41  andree
- updated to 0.65
- added -linking.patch - fixed library linking

Revision 1.17  2005/03/24 14:08:29  andree
- updated to 0.64 STBR

Revision 1.16  2005/01/05 22:35:46  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.15  2004/11/21 13:02:23  andree
- updated to 0.63

Revision 1.14  2004/09/05 17:42:21  andree
- add -maildir.patch - support for maildir in Mail/Maildir

Revision 1.13  2004/08/30 15:13:39  paszczus
- updated to 0.62

Revision 1.12  2004/07/21 20:31:58  andree
- updated to 0.61

Revision 1.11  2004/06/07 21:38:32  andree
- libtoolize to refresh config.sub

Revision 1.10  2004/06/07 16:56:10  blues
- added BR

Revision 1.9  2004/06/07 16:42:14  blues
- cosmetics

Revision 1.8  2004/06/07 14:50:51  andree
- cleanups; rel. 1

Revision 1.7  2004/06/06 21:55:38  andree
- typo

Revision 1.6  2004/06/06 21:21:28  andree
- new package with leaf editor; ac, am
- force use %%{_sbindir}/sendmail; rel 0.5

Revision 1.5  2004/06/06 18:16:15  qboosh
- don't include ABOUT-NLS

Revision 1.4  2004/06/06 13:40:52  qboosh
- remaining pl, cleanups/fixes/unifications

Revision 1.3  2004/06/06 02:17:21  arekm
- builds

Revision 1.2  2004/06/06 02:03:48  andree
- adapterized
